Bug 216912 - databases/postgis22: update to 2.2.5
Summary: databases/postgis22: update to 2.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kirill Ponomarev
URL: http://postgis.net/2017/01/30/postgis...
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-02-08 13:08 UTC by Christoph Moench-Tegeder
Modified: 2017-02-09 17:58 UTC (History)
2 users (show)

See Also:
rhurlin: maintainer-feedback+


Attachments
update to 2.2.5 (3.40 KB, patch)
2017-02-08 13:08 UTC, Christoph Moench-Tegeder
no flags Details | Diff
Patch to update databases/postgis22 from 2.2.4 to 2.2.5 (5.63 KB, patch)
2017-02-08 13:40 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2017-02-08 13:08:05 UTC
Created attachment 179755 [details]
update to 2.2.5

rather simple update to latest postgis 2.2, passes poudriere on 10.3.
Comment 1 Rainer Hurling 2017-02-08 13:40:41 UTC
Created attachment 179760 [details]
Patch to update databases/postgis22 from 2.2.4 to 2.2.5

Hi Christoph,

I am just sitting at the same update ;) Anyhow, thanks for your patch.

My patch is very similar, but also installs a desktop file and desktop icons. I hope, it is ok, that in that case, I overwrote your patch?



Tested with Poudriere (F10.3i/a, F11.0i/a, and HEADi/a), on HEAD default options, all options enabled and all options disabled.

'portlint -AC' is also fine. The complains are required so far.
Comment 2 commit-hook freebsd_committer 2017-02-09 17:43:57 UTC
A commit references this bug:

Author: krion
Date: Thu Feb  9 17:43:03 UTC 2017
New revision: 433751
URL: https://svnweb.freebsd.org/changeset/ports/433751

Log:
  Update databases/postgis22 to 2.2.5

  PR:		216912
  Submitted by:	cmt@freebsd.org
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9492

Changes:
  head/databases/postgis22/Makefile
  head/databases/postgis22/distinfo
  head/databases/postgis22/pkg-plist